Skip to main content
PATCH
Update A/B Test Variant
A/B testing requires at least the Email Pro plan.
Updates the variant B email template of the A/B test. Only the fields you include in the request body are changed; variant A is never touched.

Request Body

If the step does not run an A/B test, the endpoint returns 404.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

sequenceId
string
required

The unique identifier of the sequence

stepId
string
required

The unique identifier of the step

Body

application/json
subject
string

Variant B email subject. Maximum 400 characters

message
string

Variant B email body (HTML)

altMessage
string
cc
string[]
plainText
boolean

Response

Variant B updated

stepId
string
abTest
emailTemplateBId
string

Email template ID of variant B

subject
string

Variant B email subject

message
string

Variant B email body (HTML)

altMessage
string
cc
string[]
plainText
boolean